QGIS Application - Bug report #13556

Discourage other labels from covering feature in this layer slow

2015-10-09 05:28 PM - Jeremy Palmer

Status: Closed
Priority: Normal
Assignee:
Category:

Affected QGIS version:master

Operating System: MacOSX
Pull Request or Patch supplied:
Crashes QGIS or corrupls data:

Regression?: No
Easy fix?: No
Resolution:

Copied to github as #: 21598

Description

I've just been playing with the "Discourage other labels from covering feature in this layer" feature and noticed it's really slow when the
using country polygons as the obstacle layer for the labels. Is there a potential optimisation for this? | have an example project here which

demos what I'm talking about:

https://dl.dropboxusercontent.com/u/30623980/qgis_label test.zip

Associated revisions

Revision b384f18a - 2015-11-11 09:51 AM - Nyall Dawson

Followup f9fa9793, avoid expensive intersection calculation when

testing label candidates against polygon obstacles

Fix #13556

Revision b9326a5b - 2015-11-18 11:10 AM - Nyall Dawson

Followup f9fa9793, avoid expensive intersection calculation when

testing label candidates against polygon obstacles

Fix #13556

(cherry-picked from b384f18a3dc38305dcfe4673f9c5353e80104053)

History

#1 - 2015-10-14 02:01 PM - Saber Razmjooei

It is very slow on debian too. | also turned off the option for "Discourage other labels from covering feature in this layer" and the rendering is still slow

compared with 2.8

#2 - 2015-11-07 11:26 AM - Giovanni Manghi
- Target version deleted (Version 2.12)

#3 - 2015-11-07 12:54 PM - Nyall Dawson
- Assignee deleted (Nyall Dawson)
https://dl.dropboxusercontent.com/u/30623980/qgis_label_test.zip

#4 - 2015-11-11 12:53 AM - Nyall Dawson
- Status changed from Open to Closed

Fixed in changeset commit:"b384f18a3dc38305dcfe4673f9c5353e80104053".
